:root body.angel {
  --bg: #77a4f2;
  --container:#3a49cf;
  --extra:#fff;
  --secret:#fff;
}

/*-- html tag targets EVERYTHING --*/

html {
  overflow-x: hidden;
  position: relative;
  min-height: 100%;
    background-color: var(--bg);
    min-height: 100vh;
    background-size: 100%;
    width: 100%;
    cursor:url('/img/cursors/tree-cursor.png') 0 0, auto;
    scroll-behavior: smooth;
}

/*-- body tag targets almost everything of your html in <body></body> will be affected --*/

body {
   background-image: linear-gradient(to bottom, var(--bg), var(--extra));
  position: relative;
  min-height: 100%;
  margin: 0;
  padding-top: 100px;
  background-size:cover;
  background-color:var(--bg);
    font-family: "Henny Penny", system-ui;
    font-weight: normal;
    font-size: 18px;
    min-height: 100vh;
    text-shadow: none;
    overflow-x: hidden;
     overflow-y: hidden;
    scrollbar-color: #000000;
    scrollbar-width: thin;
  padding-bottom: 120px;
  background-blend-mode: normal;
  
}

.angel-container {
  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: cover;
  background-blend-mode: darken;
  color: #fff;
  background-color: var(--container);
  width: 90%;
  min-height: 30vh;
  padding: 20px;
  position: relative;
  flex: 1;
  max-width: 1000px;
  margin-top: 50px;
  margin-bottom: 20px;
box-shadow:
  inset 5px 5px 0px rgba(0, 0, 0, 0.6),
  inset -5px -5px 0px rgba(255, 255, 255, 0.1),
  inset 0px 5px 0px rgba(0, 0, 0, 0.5),
  inset 0px -5px 0px rgba(255, 100, 255, 0.2);

  border: 20px solid transparent;
  border-image-source: url('/img/clouds/cloud-border.png');
  border-image-slice: 80; 
  border-image-outset:1;
  border-image-width: 20px;
  border-image-repeat: round;
  z-index:2;
}

.angel-inner-container {
  width:800px;
  border:6px groove #fff;
  background-image: url('/img/heaven-clouds.gif');
  background-size: cover;
  image-rendering: pixelated;
}

/*-- header styles --*/

h1, h2, h3, h4, h5, h6 {
  font-weight:bold;
  font-family: "Rock 3D", system-ui;
  position: relative; animation: wiggle 1.5s linear infinite;
  color:#fff;
}

/*-- paragraph (body text) styles --*/

p {
  font-family: "Henny Penny", system-ui;
  z-index:9;
  position: relative; animation: wiggle 2s linear infinite;
  color: #fff;
}

/*-- THIS is for READABLE text any long paragraphs should use this font by writing <p class="text"></p> or <span class="text"></span>--*/

.text {
  font-family: "Baumans", system-ui;
  animation:none;
}

/*-- <a></a> is the link tags. these are your link styles --*/

.topnav a {
   color: #fff;
   text-decoration:none;
   cursor: url('/img/cursors/tree-cursor-pointer.png') 0 10, pointer;
}

.topnav a:hover {
  color: #7afdff;
}

/* LEFT SIDEBAR / left sidebar styles / those little side things with buttons and widgets are what this is*/
.left-sidebar {
  position: absolute;
  top: 0;
  left: -128px;
  width: 90px;
  z-index: 50;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 16px 8px;

  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: contain;
  background-blend-mode: multiply;
  background-color: var(--container);

box-shadow:
  inset 3px 0px 0px rgba(0,0,0,0.6),
  -4px 0px 16px rgba(255, 255, 255, 0.5),
  -8px 0px 24px rgba(255, 255, 255, 0.4);

  border-left: 3px solid #7afdff;
   border-top: 3px solid #7afdff;
    border-bottom: 3px solid #7afdff;
}

/* RIGHT SIDEBAR / right sidebar styles same as left but sits on the right*/

.right-sidebar {
  position: absolute;
  top: 0;
  right: -128px;
  width: 90px;
  z-index: 50;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  padding: 16px 8px;

  background-image: url('/img/Rough-Rock_2.jpg');
  background-size: contain;
  background-blend-mode: multiply;
  background-color:var(--container);

  box-shadow:
    inset -3px 0px 0px rgba(0,0,0,0.6),
    4px 0px 16px rgba(255, 255, 255, 0.5),
    8px 0px 24px rgba(255, 255, 255, 0.4);

  border-right: 3px solid #7afdff;
  border-top: 3px solid #7afdff;
  border-bottom: 3px solid #7afdff;
}
